Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
paypal.php File Reference

Go to the source code of this file.

## Variables
| $indexFile = $ini->Index
| $wwwDir = $ini->WWWDir
| $PaypalEmail = $ini->variable( "Checkout", "PaypalEmail" )
| $ShopName = $ini->variable( "site", "SiteTitle" )
| $CurrencyCode = $ini->variable( "Checkout", "CurrencyCode" )
| $SiteLogo = $ini->variable( "Checkout", "SiteLogo" )
| $PageStyle = $ini->variable( "Checkout", "PageStyle" )
| $LanguageCode = $ini->variable( "Checkout", "LanguageCode" )
| $PaypalMode = $ini->variable( "Checkout", "PaypalMode" )
| $billingAddress = new eZAddress( $session->variable( "BillingAddressID" ) )
| $region = $billingAddress->region()
| $country = $billingAddress->country()
| else
| $URL = 'cmd=_ext-enter'

## Variable Documentation

## ◆ $billingAddress

$billingAddress = new eZAddress( $session->variable( "BillingAddressID" ) )

Definition at line 44 of file paypal.php.

Referenced by eZOrder\billingAddress(), newOrders(), eZOrderConfirmation\sendMail(), and eZOrder\setBillingAddress().

## ◆ $country

$country = $billingAddress->country()

Definition at line 46 of file paypal.php.

Referenced by eZCart\cartTotals(), eZCountry\getAll(), eZCountry\getAllArray(), eZOrderConfirmation\sendMail(), eZAddress\setCountry(), eZProduct\vatType(), and eZShippingType\vatType().

## ◆ $CurrencyCode

$CurrencyCode = $ini->variable( "Checkout", "CurrencyCode" )

Definition at line 37 of file paypal.php.

## ◆ $indexFile

$indexFile = $ini->Index

Definition at line 33 of file paypal.php.

## ◆ $LanguageCode

$LanguageCode = $ini->variable( "Checkout", "LanguageCode" )

Definition at line 40 of file paypal.php.

## ◆ $PageStyle

$PageStyle = $ini->variable( "Checkout", "PageStyle" )

Definition at line 39 of file paypal.php.

## ◆ $PaypalEmail

$PaypalEmail = $ini->variable( "Checkout", "PaypalEmail" )

Definition at line 35 of file paypal.php.

## ◆ $PaypalMode

$PaypalMode = $ini->variable( "Checkout", "PaypalMode" )

Definition at line 41 of file paypal.php.

## ◆ $region

$region = $billingAddress->region()

Definition at line 45 of file paypal.php.

Referenced by eZCart\cartTotals(), eZRegion\getAll(), eZRegion\getAllArray(), eZOrderConfirmation\sendMail(), eZAddress\setRegion(), eZProduct\vatType(), and eZShippingType\vatType().

## ◆ $ShopName

$ShopName = $ini->variable( "site", "SiteTitle" )

Definition at line 36 of file paypal.php.

## ◆ $SiteLogo

$SiteLogo = $ini->variable( "Checkout", "SiteLogo" )

Definition at line 38 of file paypal.php.

## ◆ $URL

$URL = 'cmd=_ext-enter'

Definition at line 60 of file paypal.php.

## ◆ $wwwDir

$wwwDir = $ini->WWWDir

Definition at line 34 of file paypal.php.

## ◆ else

else

Initial value:
{
print('Error: PaypalMode variable in site.ini not set!')

Definition at line 54 of file paypal.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.